<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content injectable">
                   <div class="content-data">







<ol class="breadcrumb">
  <li>Injectables</li>
  <li>ReadOnlyService</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/service/read-only.service.ts</code>
        </p>



            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isBallotDocumentationInReadOnly">isBallotDocumentationInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isBaseParameterInReadOnly">isBaseParameterInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isCardTitleInReadOnly">isCardTitleInReadOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#isConfigurationSectionInReadOnly">isConfigurationSectionInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isDocumentInReadOnly">isDocumentInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isDoiInReadOnly">isDoiInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isElectionPagePropertiesInReadOnly">isElectionPagePropertiesInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isManagementEntityInReadOnly">isManagementEntityInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isMilestoneInReadOnly">isMilestoneInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isPrinterTemplateInReadOnly">isPrinterTemplateInReadOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#isReadOnly">isReadOnly</a>
                            </li>
                            <li>
                                <a href="#isRegisterInReadOnly">isRegisterInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isRepositoryInReadOnly">isRepositoryInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isSelectedElectoralAuthorityKeyInReadonly">isSelectedElectoralAuthorityKeyInReadonly</a>
                            </li>
                            <li>
                                <a href="#isTestingCardInReadOnly">isTestingCardInReadOnly</a>
                            </li>
                            <li>
                                <a href="#isVotingSiteConfigurationInReadonly">isVotingSiteConfigurationInReadonly</a>
                            </li>
                            <li>
                                <a href="#isVotingSitePeriodInReadonly">isVotingSitePeriodInReadonly</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                                <span class="modifier">Public</span>
                        <code>constructor(operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, authService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">src/app/operation/service/read-only.service.ts:11</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isBallotDocumentationInReadOnly"></a>
                        <span class="name">
                            <b>
                            isBallotDocumentationInReadOnly
                            </b>
                            <a href="#isBallotDocumentationInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isBallotDocumentationInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/operation/service/read-only.service.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isBaseParameterInReadOnly"></a>
                        <span class="name">
                            <b>
                            isBaseParameterInReadOnly
                            </b>
                            <a href="#isBaseParameterInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isBaseParameterInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/operation/service/read-only.service.ts:17</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isCardTitleInReadOnly"></a>
                        <span class="name">
                            <b>
                            isCardTitleInReadOnly
                            </b>
                            <a href="#isCardTitleInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isCardTitleInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/service/read-only.service.ts:58</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isConfigurationSectionInReadOnly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            isConfigurationSectionInReadOnly
                            </b>
                            <a href="#isConfigurationSectionInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>isConfigurationSectionInReadOnly(section: <a href="../undefineds/ReadOnlyConfigurationSection.html">ReadOnlyConfigurationSection</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="108" class="link-to-prism">src/app/operation/service/read-only.service.ts:108</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>section</td>
                                                        <td>
                                                                    <code><a href="../miscellaneous/typealiases.html#ReadOnlyConfigurationSection" target="_self" >ReadOnlyConfigurationSection</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isDocumentInReadOnly"></a>
                        <span class="name">
                            <b>
                            isDocumentInReadOnly
                            </b>
                            <a href="#isDocumentInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isDocumentInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/service/read-only.service.ts:25</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isDoiInReadOnly"></a>
                        <span class="name">
                            <b>
                            isDoiInReadOnly
                            </b>
                            <a href="#isDoiInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isDoiInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/service/read-only.service.ts:29</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isElectionPagePropertiesInReadOnly"></a>
                        <span class="name">
                            <b>
                            isElectionPagePropertiesInReadOnly
                            </b>
                            <a href="#isElectionPagePropertiesInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isElectionPagePropertiesInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/operation/service/read-only.service.ts:45</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isManagementEntityInReadOnly"></a>
                        <span class="name">
                            <b>
                            isManagementEntityInReadOnly
                            </b>
                            <a href="#isManagementEntityInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isManagementEntityInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/operation/service/read-only.service.ts:33</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isMilestoneInReadOnly"></a>
                        <span class="name">
                            <b>
                            isMilestoneInReadOnly
                            </b>
                            <a href="#isMilestoneInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isMilestoneInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/service/read-only.service.ts:21</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isPrinterTemplateInReadOnly"></a>
                        <span class="name">
                            <b>
                            isPrinterTemplateInReadOnly
                            </b>
                            <a href="#isPrinterTemplateInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isPrinterTemplateInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="62" class="link-to-prism">src/app/operation/service/read-only.service.ts:62</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isReadOnly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            isReadOnly
                            </b>
                            <a href="#isReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>isReadOnly(parameterType: <a href="../classes/Operation.html">OperationParameterType.VOTING_MATERIAL | OperationParameterType.VOTING_PERIOD</a>, restrictedToOperationManagementEntity: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>, ...roles: string[])</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="86" class="link-to-prism">src/app/operation/service/read-only.service.ts:86</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>parameterType</td>
                                                        <td>
                                                                    <code><a href="../classes/Operation.html" target="_self" >OperationParameterType.VOTING_MATERIAL | OperationParameterType.VOTING_PERIOD</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>restrictedToOperationManagementEntity</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>roles</td>
                                                        <td>
                                                                    <code>string[]</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>Observable&lt;boolean&gt;</code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRegisterInReadOnly"></a>
                        <span class="name">
                            <b>
                            isRegisterInReadOnly
                            </b>
                            <a href="#isRegisterInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isRegisterInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/operation/service/read-only.service.ts:66</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRepositoryInReadOnly"></a>
                        <span class="name">
                            <b>
                            isRepositoryInReadOnly
                            </b>
                            <a href="#isRepositoryInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isRepositoryInReadOnly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/operation/service/read-only.service.ts:37</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isSelectedElectoralAuthorityKeyInReadonly"></a>
                        <span class="name">
                            <b>
                            isSelectedElectoralAuthorityKeyInReadonly
                            </b>
                            <a href="#isSelectedElectoralAuthorityKeyInReadonly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isSelectedElectoralAuthorityKeyInReadonly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="71" class="link-to-prism">src/app/operation/service/read-only.service.ts:71</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTestingCardInReadOnly"></a>
                        <span class="name">
                            <b>
                            isTestingCardInReadOnly
                            </b>
                            <a href="#isTestingCardInReadOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isTestingCardInReadOnly(forConfiguration: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/service/read-only.service.ts:49</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>forConfiguration</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isVotingSiteConfigurationInReadonly"></a>
                        <span class="name">
                            <b>
                            isVotingSiteConfigurationInReadonly
                            </b>
                            <a href="#isVotingSiteConfigurationInReadonly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isVotingSiteConfigurationInReadonly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="115" class="link-to-prism">src/app/operation/service/read-only.service.ts:115</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isVotingSitePeriodInReadonly"></a>
                        <span class="name">
                            <b>
                            isVotingSitePeriodInReadonly
                            </b>
                            <a href="#isVotingSitePeriodInReadonly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isVotingSitePeriodInReadonly()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">src/app/operation/service/read-only.service.ts:75</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Injectable } from &#x27;@angular/core&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { map } from &#x27;rxjs/operators&#x27;;
import { AuthorizationService } from &#x27;../../core/service/http/authorization.service&#x27;;
import { OperationManagementService } from &#x27;./operation-managment.service&#x27;;
import { combineLatest } from &#x27;rxjs/observable/combineLatest&#x27;;
import { OperationParameterType } from &#x27;./operation-parameter-type&#x27;;
import { ReadOnlyConfigurationSection } from &#x27;../model/operation-status&#x27;;

@Injectable()
export class ReadOnlyService {

  public constructor(private operationManagementService: OperationManagementService,
                     private authService: AuthorizationService) {
  }

  isBaseParameterInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;base-parameter&quot;);
  }

  isMilestoneInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;milestone&quot;);
  }

  isDocumentInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;document&quot;);
  }

  isDoiInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;doi&quot;);
  }

  isManagementEntityInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;management-entity&quot;);
  }

  isRepositoryInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;repository&quot;);
  }

  isBallotDocumentationInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;ballot_documentation&quot;);
  }

  isElectionPagePropertiesInReadOnly() {
    return this.isConfigurationSectionInReadOnly(&quot;election_page_properties&quot;);
  }

  isTestingCardInReadOnly(forConfiguration: boolean) {
    if (forConfiguration) {
      return this.isConfigurationSectionInReadOnly(&#x27;testing-card&#x27;);
    }
    return this.isReadOnly(OperationParameterType.VOTING_MATERIAL,
      true, &quot;EDIT_TEST_VOTING_CARD_DEFINITION&quot;, &quot;DELETE_TEST_VOTING_CARD_DEFINITION&quot;,
      &quot;CREATE_TEST_VOTING_CARD_DEFINITION&quot;);
  }

  isCardTitleInReadOnly() {
    return this.isReadOnly(OperationParameterType.VOTING_MATERIAL, true, &quot;UPDATE_VOTING_CARD_TITLE&quot;);
  }

  isPrinterTemplateInReadOnly() {
    return this.isReadOnly(OperationParameterType.VOTING_MATERIAL, true, &quot;SELECT_PRINTER_TEMPLATE&quot;);
  }

  isRegisterInReadOnly() {
    return this.isReadOnly(OperationParameterType.VOTING_MATERIAL, false, &quot;DELETE_REGISTER_FILE&quot;,
      &quot;UPLOAD_REGISTER_FILE&quot;);
  }

  isSelectedElectoralAuthorityKeyInReadonly() {
    return this.isReadOnly(OperationParameterType.VOTING_PERIOD, true, &quot;SELECT_ELECTORAL_AUTHORITY_KEY&quot;);
  }

  isVotingSitePeriodInReadonly() {
    return this.isReadOnly(OperationParameterType.VOTING_PERIOD, true, &quot;SELECT_SIMULATION_PERIOD&quot;).pipe(
      map(readOnly &#x3D;&gt; {
        if (this.operationManagementService.status.getValue().deploymentTarget &#x3D;&#x3D; &quot;REAL&quot;) {
          return true;
        }
        return readOnly;
      })
    );
  }

  private isReadOnly(parameterType: OperationParameterType.VOTING_MATERIAL | OperationParameterType.VOTING_PERIOD,
                     restrictedToOperationManagementEntity: boolean,
                     ...roles: string[]): Observable&lt;boolean&gt; {


    let readonlyBySection &#x3D; status &#x3D;&gt;
      (parameterType &#x3D;&#x3D; OperationParameterType.VOTING_MATERIAL &amp;&amp; status.votingMaterialStatus.readOnly) ||
      (parameterType &#x3D;&#x3D; OperationParameterType.VOTING_PERIOD &amp;&amp; status.votingPeriodStatus.readOnly);

    let readonlyByManagementId &#x3D; () &#x3D;&gt;
      restrictedToOperationManagementEntity &amp;&amp;
      this.operationManagementService.operation.getValue().managementEntity !&#x3D;&#x3D;
      this.authService.userSnapshot.managementEntity;

    return combineLatest(this.operationManagementService.operation, this.operationManagementService.status)
      .pipe(
        map(([ope, status]) &#x3D;&gt; {
          return !ope || !status || readonlyBySection(status) ||
                 readonlyByManagementId() || !this.authService.hasAtLeastOneRole(roles);
        }));
  }

  private isConfigurationSectionInReadOnly(section: ReadOnlyConfigurationSection) {
    return this.operationManagementService.status.pipe(
      map(status &#x3D;&gt; status.configurationStatus.readOnlySections.indexOf(section) &gt;&#x3D; 0)
    );
  }


  isVotingSiteConfigurationInReadonly() {
    return this.isConfigurationSectionInReadOnly(&quot;voting_site_configuration&quot;)
  }
}
</code></pre>
    </div>

</div>











                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'injectable';
            var COMPODOC_CURRENT_PAGE_URL = 'ReadOnlyService.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
